﻿.shiftButtonToRight {
    float: right;
    text-align: right;
}

.truncate {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
#confirmIssuanceNoteContent {
    border: 1px solid #ddd;
    padding: 10px;
    background: #f9f9f9;
}
.error {
    color: red;
    font-weight: normal !important;
}

.alignAttachedTime {
    text-align: right;
}

.asterisk_input {
    color: #e32;
}

.project_document_item button {
    padding: 5px 10px;
    margin: 3px;
    border-radius: 4px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    white-space: nowrap !important;
}

#projectDocuments li div div:first-child {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.diamond {
    background: #B9F2FF; /*linear-gradient(to bottom right, #B9F2FF, #FFFFFF);*/
    color: black;
}

.silver {
    background: #C0C0C0 /*linear-gradient(to bottom right, #D3D3D3, #C0C0C0);*/
    color:white;
}

.gold {
    background: #FFD700 /*linear-gradient(to bottom right, #FFD700, #DAA520);*/
    color:white;
}

.platinum {
    background: #E5E4E2 /*linear-gradient(to bottom right, #E5E4E2, #FFFFFF);*/
    color:black;
}

.bronze {
    background: #CD7F32 /*linear-gradient(to bottom right, #CD7F32, #8B4513);*/
    color:white;
}

.grid-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center; /* Center align grid items horizontally */
}

.grid-item {
    flex: 1 1 200px;
    margin: 0.25rem;
    position: relative;
    max-width: 4rem;
}

    .grid-item img {
        width: 100%; /* Ensure the image takes up the full width of the container */
        height: 100%; /* Ensure the image takes up the full height of the container */
        object-fit: cover; /* Make the image cover the entire container while maintaining aspect ratio */
        width: 100%;
        height: 100%;
        object-fit: cover;
        border-radius: 0.5rem;
    }

        .grid-item img:hover {
            transform: scale(2.5);
            z-index: 9999;
        }

.grid-item-label img:hover {
    transform: scale(2.5);
    z-index: 9999;
}

.comparison-table {
    margin-bottom: 30px;
}

    .comparison-table li:not(:first-child) {
        transition: background-color 0.5s, color 0.5s; /* Add transition effects */
    }

    .comparison-table li, .comparison-table li:last-child {
        background-color: #f8f9fa52;
        padding: 0.25rem 0.75rem;
        margin-bottom: 0.4rem;
        border-radius: 1rem;
        border-width: 0px;
    }

        .comparison-table li:not(:first-child):hover {
            background-color: var(--bs-info);
            color: white;
        }

            /* Change the color of text inside the span when its parent li is hovered over */
            .comparison-table li:not(:first-child):hover .col-md-6 {
                color: white;
            }


        .comparison-table li:first-child {
            border: none;
            background-color: transparent;
            border-radius: 0px;
            padding: 5px;
            margin-bottom: 5px;
            color: black;
        }

        .comparison-table li span b {
            padding: 0.1rem;
            display: block;
            margin: 0px 5px;
            font-weight: 600;
        }

        .comparison-table li span:first-child {
            color: black;
        }

.yes {
    background-color: var(--bs-success);
    color: #fff;
    text-align: center;
    border-radius: 0.8rem;
}

.no {
    background-color: var(--bs-danger);
    color: #fff;
    text-align: center;
    border-radius: 0.8rem;
}

.comparison-table li span {
    display: block;
    font-size: 0.8rem !important;
}

@media (min-width: 768px) {
    .comparison-table li {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }
}

.goal-detail-heading b {
    font-weight: 600;
    color: black;
    font-size: 0.8rem !important;
}

.goal-detail-heading {
    text-align: center;
}


.bg-gradient-primary {
    background-image: none;
    background: rgb(0, 174, 141);
}

.btn-primary:hover, .btn.bg-gradient-primary:hover {
    background-color: #002e6d;
    border-color: #002e6d;
}

.btn-primary, .btn.bg-gradient-primary {
    background-image: none;
    background: rgb(0, 174, 141);
}

.projectViewData {
    margin-left: 0.5rem;
    /*color: #7a879c !important;*/
}

.comments-list {
    margin-top: 20px;
}

.project_details_item {
    border-bottom: 1px solid #d5dadb6b !important;
    border-radius: 0px;
    /* flex-direction: column;*/
    padding: 0.5rem;
}

    .project_details_item h6 b {
        font-weight: 600;
        color: black;
        font-size: 0.8rem !important;
    }

    .project_details_item h6 span {
        font-weight: normal;
    }

.project_details_item_label h6 {
    font-size: 0.75rem !important;
    font-weight: normal;
}

.project_details_item_label {
    /*border-bottom: 1px solid #d5dadb !important;*/
    border-radius: 0px;
    /* flex-direction: column;*/
    padding: 0.5rem;
}

    .project_details_item_label h6 b::before {
        content: "\f02b";
        font-family: "Font Awesome 5 Free";
        font-size: 1rem;
        padding: 0px 0.5rem;
        color: var(--bs-info);
    }

.sdg-label-item img, .label-details-item {
    min-width: 60px;
    max-width: 60px;
}

.sdg-label-item b {
    text-align: center;
    border-radius: 0.8rem;
    padding: 0.1rem;
    display: block;
    margin: 0px 5px;
    font-weight: 600;
    width: 50%;
    justify-self: center;
    margin: auto;
}

.comment {
    position: relative;
    padding: 5px 5px;
    background: #efefef;
    border-radius: 10px;
    margin-bottom: 5px;
}

    .comment .timestamp {
        color: #777;
        /*  position: absolute;*/
        right: 20px;
        top: 10px;
    }

    .comment h4 {
        margin: 10px;
        font-size: 16px;
    }

    .comment p {
        margin: 10px;
        font-size: 14px;
    }

.downloadIcon {
    color: rgb(0, 174, 141);
}

.paymentComments {
    list-style-type: none;
    padding: 0;
}

    .paymentComments li {
        margin-bottom: 10px !important;
        background-color: #f9f9f9;
        border: 1px solid #ddd;
        border-radius: 5px;
        padding: 15px;
        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    }

        .paymentComments li:hover {
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
        }

        .paymentComments li:nth-child(odd) {
            background-color: #f1f1f1;
        }

        .paymentComments li:last-child {
            margin-bottom: 0;
        }

        .paymentComments li::before {
            content: "\f075"; /* Unicode for comment icon */
            font-family: "Font Awesome 5 Free"; /* Use Font Awesome for the icon */
            margin-right: 10px;
            color: #6c757d; /* Icon color */
        }

.comment-user {
    font-weight: bold;
    color: #333; /* User name color */
    margin-right: 5px;
}

#paymentDocuments {
    list-style-type: none;
    padding: 0;
}

    #paymentDocuments li {
        margin-bottom: 5px;
        background-color: #f9f9f9;
        border: 1px solid #ddd;
        border-radius: 8px;
        padding: 5px;
    }



.document-info {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

    .document-info h6 {
        margin-bottom: 0;
        font-size: 14px;
    }

    .document-info a {
        color: #333;
        text-decoration: none;
    }

        .document-info a:hover {
            text-decoration: underline;
        }

.downloadIcon {
    margin-left: 10px;
    font-size: 16px;
}

.project-brief p, .project-additional-info p {
    text-overflow: ellipsis;
    /* max-height: 4rem; */
    overflow: hidden;
    white-space: nowrap;
}

.project-brief h6 div button, .project-additional-info h6 div button {
    padding: 5px 10px;
    margin: 3px;
    border-radius: 4px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    white-space: nowrap !important;
}

.status-container {
    display: inline-block;
    box-shadow: 0 0 15px 1px rgba(0, 0, 0, 0.35);
    overflow: hidden;
    border-radius: 5px;
    counter-reset: flag;
    margin-bottom: 10px;
}

.status {
    text-decoration: none;
    outline: none;
    display: block;
    float: left;
    font-size: 12px;
    line-height: 36px;
    color: white;
    padding: 0 10px 0 28px;
    background: #666;
    background: linear-gradient(#666, #333);
    position: relative;
    background: white;
    color: black;
    transition: all 0.5s;
}

.status-container div:first-child {
    padding-left: 10px;
    border-radius: 10px 0 0 10px;
}

    .status-container div:first-child:before {
        left: 14px;
    }

.status-container div:last-child {
    border-radius: 0 10px 10px 0;
    padding-right: 20px;
}

.status-container div:after {
    content: '';
    position: absolute;
    top: 0;
    right: -18px;
    width: 36px;
    height: 36px;
    transform: scale(0.707) rotate(45deg);
    z-index: 1;
    background: #666;
    background: linear-gradient(135deg, #666, #333);
    box-shadow: 2px -2px 0 2px rgba(0, 0, 0, 0.4), 3px -3px 0 2px #002e6d;
    border-radius: 0 5px 0 50px;
    background: inherit;
    transition: all 0.5s;
}

/* we don't need an arrow after the last link */
.status-container div:last-child:after {
    content: none;
}



.highlight {
    background-color: #01aa91;
    color: #fff;
}

.futurehighlight {
    background-color: #fff;
    color: #000;
}

.Currenthighlight {
    background: #fff;
    color: #fff;
    animation: color_change 1s infinite alternate;
}

    .Currenthighlight:after {
        animation: color_change 1s infinite alternate;
    }

@keyframes color_change {
    0% {
        background: #002e6d;
    }

    25% {
        background: #01836b;
    }

    50% {
        background: #01aa91;
    }

    100% {
        background: #64c5b7;
    }
}

table {
    width: 100%;
    border-collapse: collapse;
}

th, td {
    padding: 12px;
    text-align: center;
    border: 1px solid #ddd;
}

th {
    background-color: #f2f2f2;
}

td:first-child {
    text-align: left;
    width: 60%; /* First column takes 60% of the width */
}

td:nth-child(2), td:nth-child(3) {
    width: 20%; /* Second and third columns take 20% each */
}

sub {
    font-size: 0.8em;
}
